Diese Seite wurde noch nicht ins Deutsche übersetzt und wird daher auf Englisch angezeigt.
Get a list of all Bot Runners
This returns the list of all Bot Runners that are connected to Orchestrator. You can filter the result by status, logged-in user, Bot Runner version, ID, or name.
gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runners
Mögliche Werte für {region}: na, cis, apac, latam, emea
Ausprobieren
Query-Parameter
cURL
curl --request GET \ --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runners'
Authentifizierung
Verwenden Sie ein API-Token von der Seite Orchestrator → Integrationen. Senden Sie es als Bearer-Token: Authorization: Bearer <token>.
Query-Parameter
| Name | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
status | string (ready, in_progress, offline) | nein | It filters Bot Runners by status |
login_as | string | nein | It filters logged users by email, e.g., robot@electroneek.com |
version | string | nein | It filters Bot Runners by version, e.g., 8.0.0 |
ids | array of string | nein | It filters by Bot Runner IDs. |
name | string | nein | It filters Bot Runners by the name, .e.g, MY-BOT-RUNNER-1 |
Antwort
200API returns the list of Bot Runners matching the filter criteria.
Response-Body
object
listarray of objectsobject
iduuiderforderlichID of the Bot Runner
namestringerforderlichName of the Bot Runner
statusstring (ready, in_progress, offline)erforderlichStatus of the Bot Runner
versionstringerforderlichVersion of the Bot Runner
login_asobjecterforderlichOrganization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens
object
typestringvaluestringhost_namestringerforderlichName of the computer where Bot Runner is installed.
Aktualisiert